#!/bin/sh
#Interfaz Xdialog para gestionar palinsesto.cfg desde el Ordenata Auxiliar.
#
#Este script est licenciado bajo la [1] GNU General Public License (GPL) y por tanto
# se permite su copia, distribucin y/o modificacin mientras se mantenga su licencia y
# se cite que est realizado por [2] Garraxi Irratia. Contacto: [3] Martintxo
#
#[1] http://www.gnu.org/copyleft/gpl.html
#[2] http://sindominio.net/garraxi/
#[3] martintxo@sindominio.net

#Para comprobar que es garraxi2 el que ejecuta el script (si no es exit, si es continua...):
QUIENSOY=`whoami`;
if [ "$QUIENSOY" != "garraxi2" ];then
Xdialog --wmclass "soma" --title "Usuario no autorizado" --icon /usr/local/share/pixmaps/warning.xpm \
        --msgbox "Me parece que tu no eres el Administrador de la Emisin.\nAbortando..." 0 0;
exit;
fi

#Mensaje informativo inicial:
Xdialog --wmclass "soma" --title "Gestionar parrilla" \
       --msgbox "Este es el \"ayudante\" para gestionar la parrilla :-P.\nA continuacin aparecer el programa somax-editor desde el que puedes editarla.\nCuando acabes, acuerdate de darle al botn de Guardar, y despus cierra el programa.\nY como ests en el Ordenata Auxiliar no puedes hacer que Somad relea su parrilla :-/" 0 0

#Para que salga sin hacer nada si se pincha el boton "cerrar programa" de Icewm:
STATUSRET=$?
if [ $STATUSRET -eq 255 ];then
	exit;
fi

somax-editor -pl /etc/somad/palinsesto.cfg;
chmod 644 /etc/somad/palinsesto.cfg;

#Recordatorio de que no se puede releer palinsesto.cfg:
Xdialog --wmclass "soma" --title "Gestionar parrilla" \
       --msgbox "Y aqu acaba todo lo que puedes hacer desde este Ordenata Auxiliar!!.\nAhora, si vas al Servidor, desde alli si que puedes indicar a Somad que relea su parrilla (lo cual es altamente recomendable).\nEl acceso est en el panel del Administrador de la Emisin." 0 0
