#!/bin/sh
#Interfaz Xdialog para elegir a que mixer le vamos a tocar los volumenes.
#
#Este script est licenciado bajo la [1] GNU General Public License (GPL) y por tanto
# se permite su copia, distribucin y/o modificacin mientras se mantenga su licencia y
# se cite que est realizado por [2] Garraxi Irratia. Contacto: [3] Martintxo
#
#[1] http://www.gnu.org/copyleft/gpl.html
#[2] http://sindominio.net/garraxi/
#[3] martintxo@sindominio.net

#Para comprobar que es garraxi2 el que ejecuta el script (si no es exit, si es continua...):
QUIENSOY=`whoami`;
if [ "$QUIENSOY" != "garraxi2" ];then
Xdialog --wmclass "soma" --title "Usuario no autorizado" --icon /usr/local/share/pixmaps/warning.xpm \
        --msgbox "Me parece que tu no eres el Administrador de la Emisin.\nAbortando..." 0 0;
exit;
fi

#GUI para elejir la accion a realizar:
PRUEBA=`Xdialog --wmclass "soma" --no-tags --title "Volmenes de emisin/grabacin" --stdout \
        --radiolist "Elige a cual de las 2 tarjetas de sonido quieres tocarle los volmenes:\na la que emite sonido o a la que lo graba.\nEn la Ayuda, seccin Admin de la Emisin, tienes info sobre cuales son los volmenes recomendados." 13 90 0 \
	"aumix -d /dev/mixer0" "Mixer de la tarjeta que emite" on \
	"aumix -d /dev/mixer1" "Mixer de la tarjeta que graba" off `;

#Lo que realiza finalmente la accion elejida:
/bin/sh -c "$PRUEBA"
