#!/bin/sh
#Interfaz Xdialog que presenta todas las tareas que "puede" hacer garraxi2.
#
#Este script est licenciado bajo la [1] GNU General Public License (GPL) y por tanto
# se permite su copia, distribucin y/o modificacin mientras se mantenga su licencia y
# se cite que est realizado por [2] Garraxi Irratia. Contacto: [3] Martintxo
#
#[1] http://www.gnu.org/copyleft/gpl.html
#[2] http://sindominio.net/garraxi/
#[3] martintxo@sindominio.net

#Para comprobar que es garraxi2 el que ejecuta el script (si no es exit, si es continua...):
QUIENSOY=`whoami`;
if [ "$QUIENSOY" != "garraxi2" ];then
Xdialog --wmclass "soma" --title "Usuario no autorizado" --icon /usr/local/share/pixmaps/warning.xpm \
        --msgbox "Me parece que tu no eres el Administrador de la Emisin.\nAbortando..." 0 0;
exit;
fi

#GUI para elejir la accion a realizar:
PRUEBA=`Xdialog --wmclass "soma" --no-tags --title "Administrador de la Emisin" --stdout \
        --radiolist "Tareas del Administrador de la Emisin:" 0 0 0 \
	"garraxi2-chown.sh" "Proteger Musica/Kunyas" on \
	"tagtool" "Editar tags en msica protegida" off \
	"garraxi2-editprog.sh" "Editar lista de programas a grabar" off \
    	"garraxi2-gestionparrilla-aux.sh" "Gestin de la Parrilla (desde Ord. Auxiliar)" off \
	"/usr/local/bin/set-time" "Cambiar fecha/hora Ordenata Auxiliar" off \
	"endeavour2" "Gestor archivos EndeavourII (modo Admin)" off \
    "mrxvt -sr -sb -geometry 85x25" "Terminal de texto" off `;

#Lo que realiza finalmente la accion elejida:
/bin/sh -c "$PRUEBA"
